net.sf.jasperreports.export.parameters

## Class ParameterOverrideResolver

- java.lang.Object
- - net.sf.jasperreports.export.parameters.ParameterOverrideResolver

- All Implemented Interfaces:
    ParameterResolver

  Deprecated.
  To be removed.

      public class ParameterOverrideResolver
      extends java.lang.Object
      implements ParameterResolver

  Version:
    $Id: ParameterOverrideResolver.java 6672 2013-11-04 18:46:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterOverrideResolver(JasperReportsContext jasperReportsContext, JasperPrint jasperPrint, java.util.Map<JRExporterParameter,java.lang.Object> parameters)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanParameter(JRExporterParameter parameter, java.lang.String property, boolean defaultValue)` Deprecated.
    `java.lang.Character` | `getCharacterParameter(JRExporterParameter parameter, java.lang.String property)` Deprecated.
    `float` | `getFloatParameter(JRExporterParameter parameter, java.lang.String property, float defaultValue)` Deprecated.
    `int` | `getIntegerParameter(JRExporterParameter parameter, java.lang.String property, int defaultValue)` Deprecated.
    `java.lang.String[]` | `getStringArrayParameter(JRExporterParameter parameter, java.lang.String propertyPrefix)` Deprecated.
    `java.lang.String` | `getStringParameter(JRExporterParameter parameter, java.lang.String property)` Deprecated.
    `java.lang.String` | `getStringParameterOrDefault(JRExporterParameter parameter, java.lang.String property)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterOverrideResolver

          public ParameterOverrideResolver(JasperReportsContext jasperReportsContext,
                                   JasperPrint jasperPrint,
                                   java.util.Map<JRExporterParameter,java.lang.Object> parameters)

      Deprecated.

  - ### Method Detail

    - #### getStringParameter

          public java.lang.String getStringParameter(JRExporterParameter parameter,
                                            java.lang.String property)

      Deprecated.
      Specified by:
        `getStringParameter` in interface `ParameterResolver`

    - #### getStringArrayParameter

          public java.lang.String[] getStringArrayParameter(JRExporterParameter parameter,
                                                   java.lang.String propertyPrefix)

      Deprecated.
      Specified by:
        `getStringArrayParameter` in interface `ParameterResolver`

    - #### getStringParameterOrDefault

          public java.lang.String getStringParameterOrDefault(JRExporterParameter parameter,
                                                     java.lang.String property)

      Deprecated.
      Specified by:
        `getStringParameterOrDefault` in interface `ParameterResolver`

    - #### getBooleanParameter

          public boolean getBooleanParameter(JRExporterParameter parameter,
                                    java.lang.String property,
                                    boolean defaultValue)

      Deprecated.
      Specified by:
        `getBooleanParameter` in interface `ParameterResolver`

    - #### getIntegerParameter

          public int getIntegerParameter(JRExporterParameter parameter,
                                java.lang.String property,
                                int defaultValue)

      Deprecated.
      Specified by:
        `getIntegerParameter` in interface `ParameterResolver`

    - #### getFloatParameter

          public float getFloatParameter(JRExporterParameter parameter,
                                java.lang.String property,
                                float defaultValue)

      Deprecated.
      Specified by:
        `getFloatParameter` in interface `ParameterResolver`

    - #### getCharacterParameter

          public java.lang.Character getCharacterParameter(JRExporterParameter parameter,
                                                  java.lang.String property)

      Deprecated.
      Specified by:
        `getCharacterParameter` in interface `ParameterResolver`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com